<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


include("inc.php");


// ----- Get specifications for form fields. ----- //
$whichForm = "pd review";
include("inc.application_check.php");


// ----- Transforming data ----- //
if(isset($properness["birthday"]))
	$properness["birth_year"] = "invalid";
else {
	$data["birth_day"] = date("j", $data["birthday"]);
	$data["birth_month"] = date("n", $data["birthday"]);
	$data["birth_year"] = date("Y", $data["birthday"]);
}

if(!isset($properness["phd_time"])) {
	$data["phd_month"] = date("n", $data["phd_time"]);
	$data["phd_year"] = date("Y", $data["phd_time"]);
}


// ----- Displaying Data ----- //
include("application_pd_correct.php");

?>