<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


function form_select_create_options ($values, $indent_depth = 1) {
	$indent = htmlib_make_indent($indent_depth);
	$options = "";
	foreach($values AS $value)
		$options .= "\n".$indent.str_replace("{>key<}", $value["key"], str_replace("{>value<}", $value["value"], template_basic("form_select_option")));
	return $options;
}

/*function form_assemble ($formname, $default_values = NULL) {
	$form_detail = mysqlib_get("SELECT * FROM `form_compilation_detail` WHERE `system_name` = '".$formname."'");
	$form_fields = mysqlib_get("SELECT a.`field_id` 	AS `id`,
									   `form_field_detail`.`system_name` 		AS `system_name`,
									   `form_field_detail`.`frontend_name` 		AS `frontend_name`,
									   `form_field_type`.`name` 				AS `type`,
									   `form_field_detail`.`readonly` 			AS `readonly`,
									   `form_field_detail`.`defaul`				AS `default`,
									   `form_field_detail`.`tagid`				AS `tagid`,
									   `form_field_detail`.`css_class`			AS `css_class`
								FROM `form_compilation_to_field_to_condition` AS a
								  LEFT JOIN `form_field_detail`
								  LEFT JOIN `form_field_type`
								  ON (a.`compilation_id` = '".$form_detail["id"]."'
									AND a.`field_id` = `form_field_detail`.`id`
									AND `form_field_detail`.`type` = `form_field_type`.`id`)");
	
	$template = template_basic("form_".$form_detail["template"]);

	$template = str_replace("{>action<}", $form_detail["action"], $template);
	$template = str_replace("{>method<}", $form_detail["method"], $template);
	$template = str_replace("{>enctype<}", $form_detail["enctype"], $template);
	$template = str_replace("{>id<}", $form_detail["system_name"], $template);
	$template = str_replace("{>add_attr<}", "", $template);
	
	foreach($form_fields AS $record) {
		$field_template = template_basic("form_field_".$record["type"].($readonly ? "_readonly" : ""));
		$field_template = str_replace("{>name<}", $record["system_name"], $field_template);
		$field_template = str_replace("{>tagid<}", ($record["tagid"] == NULL ? "" : " id=\"".$record["tagid"]."\""), $field_template);
		$field_template = str_replace("{>css_class<}", ($record["css_class"] == NULL ? "" : " class=\"".$record["css_class"]."\""), $field_template);

		if($record["type"] == "select") {
			$this_options = form_select_create_options($record["id"], $default_values);
			$field_template = str_replace("{>options<}", $this_options, $field_template);
		} else
			if(isset($default_values) && array_key_exists($record["system_name"], $default_values))		// wether there is the given value or the default value to fill in
				$field_template = str_replace("{>value<}", $default_values[$record["system_name"]], $field_template);
			else
				$field_template = str_replace("{>value<}", ($record["default"] != NULL ? $record["default"] : ""), $field_template);

		$template = str_replace("{>field_".$record["system_name"]."<}", $field_template, $template);
	}

	return $template;
}*/

/*function form_select_create_options ($select_id, $default_values) {
	$this_options_detail = mysqlib_get("SELECT `command_type`, `value` FROM `form_field_select_options`
										WHERE `field_id` = '".$select_id."' ORDER BY `rank` ASC", 2);
	$this_options_template = template_basic("form_field_select_option");
	$this_options;

	foreach($this_options_detail AS $single_detail)
		switch ($single_detail["command_type"]) {
			case "direct":
				$this_options .= str_replace("{>key<}", 
											 ($single_detail["key"] != NULL 
												&& $single_detail["key"] != $single_detail["value"] ? " value=\"".$single_detail["key"]."\"" : ""),
											str_replace("{>value<}", $single_detail["value"], $this_options_template));
				break;
			case "sql":
				$options_array = mysqlib_get($single_detail["value"], 2);
				foreach($options_array AS $single_option)
					$this_options .= str_replace("{>key<}",
												 ($single_option["key"] != $single_option["value"]
													&& $single_option["key"] != NULL ? " value=\"".$single_option["key"]."\"" : ""),
												 str_replace("{>value<}", $single_option["value"], $this_options_template));
				break;
			case "template":
				$this_options .= template_basic($single_detail["value"]);
				break;
			default:
				eval($single_detail["value"]);
		}

	if(isset($default_values) && array_key_exists($record["system_name"], $default_values)) // wether there is the given value or the default value to fill in
		$this_options = str_replace("{>selected_".$default_values[$record["system_name"]]."<}", " selected=\"selected\"", $this_options);
	else
		$this_value = str_replace("{>selected_".$record["default"]."<}", " selected=\"selected\"", $this_option);
	$this_options = preg_replace('\{\>selected_((?<!.*\<\}.*)\<\}>)', '', $this_options);

	return $this_options;
}

function form_check_conditions ($formname, $given_values) {
	$form_detail = mysqlib_get("SELECT * FROM `form_compilation_detail` WHERE `id` = '".$formname."'");
}*/

?>