<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


if($_settings["mysql"]["start_immediately"]) {
	global $mysql_con, $mysql_db;
	$mysql_con = mysql_connect($_settings["mysql"]["host"],
					$_settings["mysql"]["user"],
					$_settings["mysql"]["password"]);
	$mysql_db = mysql_select_db($_settings["mysql"]["database"]);
}


function mysqlib_get ($command, $depth = 2) {
	$result = mysql_query($command);
	if($result != false) {
		$result_length = mysql_num_rows($result);
		if($result_length == 0)
			return array();
		else if($result_length == 1) {
			$result_array = mysql_fetch_array($result);
			if(sizeof($result_array) == 2 && $depth == 0)	// If one field is returned (two array elements: one with numeric, one with associative key)
				return $result_array[0];
			else
				return arraylib_add_dimensions($result_array, $depth-1);
		} else {
			$result_array;
			for($i = 0; $i < $result_length; $i++) {
				$temp = mysql_fetch_array($result);
				$result_array[] = (sizeof($temp) == 2 ? $temp[0] : $temp);
			}
			return arraylib_add_dimensions($result_array, $depth-2);
		}
	} else
		return false;
}


function mysqlib_secure ($value) {
	if(is_array($value)) {
		$result = array();
		foreach($value AS $key => $record)
			$result[$key] = mysqlib_secure($record);
		return $result;
	}

	else {
		$value = misc_convertToUTF8($value);
		if(ini_get("magic_quotes_sybase"))
			$value = str_replace("''", "'", $value);
		if(!ini_get("magic_quotes_gpc") || ini_get("magic_quotes_sybase"))
			$value = mysql_real_escape_string($value);
		return $value;
	}
}


function mysqlib_sec ($value) {
	return mysqlib_secure($value);
}

?>
