<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

include("inc.php");


if($user) {
	$type = $_GET["type"];
	$status = $_GET["status"];

	$applications = dal_getApplication(NULL, mysqlib_secure($_GET["type"]), mysqlib_secure($_GET["status"]));

	$titlePart = template_basic("type_long_".$_GET["type"]);
	$content = template_auto("overview", array("title" => "GK Applications: ".$titlePart, "css" => array("custom_overview", "overview")));

	$content = str_replace("{>type_long<}", $titlePart, $content);
	$content = str_replace("{>status<}", $_GET["status"], $content);
	$content = str_replace("{>type<}", $_GET["type"], $content);
	
	$content = str_replace("{>table<}", misc_apptable_create_overview($type, $status, $user[id]), $content);
/*	$table = template_basic("overview_table_".$_GET["type"]);
	$rows = misc_apptable_create_rows($_GET["type"], $applications, "custom_overview.php");
	$table = str_replace("{>applications<}", $rows, $table);
	$content = str_replace("{>table<}", $table, $content);
*/
	echo $content;
} else
	security_show_login_form();
	
?>