<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


global $_settings;

$_settings["root"]["directory"] =               dirname(__FILE__)."/";

$_settings["mysql"]["host"] =                   "";
$_settings["mysql"]["user"] =                   "";
$_settings["mysql"]["password"] =               "";
$_settings["mysql"]["database"] =               "";
/** Opens the MySQL connection immediately after script start. **/
$_settings["mysql"]["start_immediately"] =	true;

/** Path where uploaded files go to **/
$_settings[upload][path] = "";
$_settings[upload][max_size] = 20971520;              // upload file size in bytes
$_settings[upload][ftype] = "pdf";                    // file_type
$_settings[upload][ctype] = "application/pdf";        // content_type

// ----- Application Settings ----- //
$_settings[applicant][phd][min_age]		= 16;
$_settings[applicant][phd][max_age]		= 45;

// PD = PostDoc
$_settings[applicant][pd][min_age]		= 0;
$_settings[applicant][pd][max_age]		= 100;

date_default_timezone_set('Europe/Berlin');

?>
