/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

function getDays () {
	var monthdays = getDaysOfMonth(parseInt(document.forms["application"].elements["birth_month"].value, 10),
					parseInt(document.forms["application"].elements["birth_year"].value, 10));
	var oldvalue = Math.min(parseInt(document.forms["application"].elements["birth_day"].value, 10), monthdays);
	empty_select("application", "birth_day");
	var day_options = "";
	for(var i = 1; i <= monthdays; i++)
		document.forms["application"].elements["birth_day"].options[document.forms["application"].elements["birth_day"].length] =
			new Option(i+".", i, false, false);
	document.forms["application"].elements["birth_day"].value = oldvalue;
}

function openWindow (windowType) {
	var newwin;
	if(windowType == 'filegeneralinfo')
		newwin = window.open("fileinfo.php", "filegeneralinfo", "width=400,height=530,dependent=yes");
	else if(windowType == 'fileinfo')
		newwin = window.open("fileinfo.php?fileid="+document.forms["application"].elements["old_file_id"].value,
		                     "fileinfo", "width=400,height=530,dependent=yes");
	else if(windowType == 'formprint')
		newwin = window.open("formprint.php", "print_view");
	newwin.focus();
}

function preselect (formname, preselect_info) {
	if(isArr(preselect_info)) {
		for(var i = 0; i < preselect_info.length; i++) {
			document.forms[formname].elements[preselect_info[i][0]].value = preselect_info[i][1];
		}
	}
}

function goChange (type) {
	document.forms["application"].action = "application_"+type+"_change.php";
	document.forms["application"].submit();
}